### Method

# Cogl Pipeline set_layer_matrix

#### Declaration [src]

    void
    cogl_pipeline_set_layer_matrix (
      CoglPipeline* pipeline,
      int layer_index,
      const graphene_matrix_t* matrix
    )

#### Description [src]

This function lets you set a matrix that can be used to e.g. translate and rotate a single layer of a pipeline used to fill your geometry.

#### Parameters

`layer_index`

  Type: `int`

  The index for the layer inside `pipeline`.

`matrix`

  Type: `graphene_matrix_t`

  The transformation matrix for the layer.

  The data is owned by the caller of the method.